/* $Id: vmimageset.h,v 1.1.1.1 2008/10/21 09:10:11 cizzo Exp $
 *
 * This file is part of the VIMOS Pipeline
 * Copyright (C) 2002-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: cizzo $
 * $Date: 2008/10/21 09:10:11 $
 * $Revision: 1.1.1.1 $
 * $Name: vimosp-2_6_0 $
 */

#ifndef VM_IMAGESET_H
#define VM_IMAGESET_H

#include <pilmacros.h>

#include <vmimage.h>
#include <vmccdtable.h>
#include <vmifutable.h>
#include <vmwindowtable.h>
#include <vmextractiontable.h>
#include <vmobjecttable.h>


PIL_BEGIN_DECLS

struct _VIMOS_SINGLE_IMAGE_ {
  VimosImage *theImage;

  VimosTable *ccdTable;
  VimosTable *sphotStdTable;
  VimosIfuTable *ifuTable;
  VimosExtractionTable *extractionTable;
  VimosWindowTable *windowTable;
  VimosObjectTable *objectTable;

  char *imageName;

  struct _VIMOS_SINGLE_IMAGE_ *next;
  struct _VIMOS_SINGLE_IMAGE_ *prev;
};

typedef struct _VIMOS_SINGLE_IMAGE_ VimosSingleImage;


struct _VIMOS_IMAGE_SET_ {
  VimosSingleImage *images;
  int nImas;
};

typedef struct _VIMOS_IMAGE_SET_ VimosImageSet;


VimosSingleImage *newSingleImage();
void deleteSingleImage(VimosSingleImage *oneImage);

VimosImageSet *newImageSet();
void deleteImageSet(VimosImageSet *imageSet);

void storeImagesAndTables(VimosImageSet *imageSet, char *imageList,
                          char extname[], int ccdT, int sphT, int ifuT,
                          int extT, int winT, int objT);
                                    
void closeFitsImageSet(VimosImageSet *imageSet, int flag);

PIL_END_DECLS

#endif /* VM_IMAGESET_H */
