/* $Id: vmimgastrometry.h,v 1.1.1.1 2008/10/21 09:10:11 cizzo Exp $
 *
 * This file is part of the VIMOS Pipeline
 * Copyright (C) 2002-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: cizzo $
 * $Date: 2008/10/21 09:10:11 $
 * $Revision: 1.1.1.1 $
 * $Name: vimosp-2_6_0 $
 */

#ifndef VM_IMGASTROMETRY_H
#define VM_IMGASTROMETRY_H

#include <pilmacros.h>

#include <vmimage.h>
#include <vmtable.h>
#include <vmtablearray.h>


PIL_BEGIN_DECLS

VimosBool computeCO(VimosImage *, const char *, int, float, float);
VimosBool computeCD(char **, unsigned int);

VimosBool VmAstroComputeCD(VimosTableArray *, const VimosImage *);
VimosBool VmAstroComputeCO(VimosImage *, float , float, VimosTable *,
			   unsigned int, double);

VimosTable *resetStarMatchTable(int, int, int);
VimosTable *resetAstroTable(int, char *);
VimosTable *shiftStarMatch(VimosTable **);
VimosBool fitCO(VimosImage *, VimosTable *, VimosTable *, int, double,
		double, double, float, double);

int calcres(VimosTable *, VimosTable *, int *, int, double *);

PIL_END_DECLS

#endif /* VM_IMGASTROMETRY_H */
