/* $Id: vmmosextraction.h,v 1.1.1.1 2008/10/21 09:10:12 cizzo Exp $
 *
 * This file is part of the VIMOS Pipeline
 * Copyright (C) 2002-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: cizzo $
 * $Date: 2008/10/21 09:10:12 $
 * $Revision: 1.1.1.1 $
 * $Name: vimosp-2_6_0 $
 */

#ifndef VM_MOSEXTRACTION_H
#define VM_MOSEXTRACTION_H

#include <pilmacros.h>

#include <vmextractiontable.h>
#include <vmwindowtable.h>
#include <vmobjecttable.h>


PIL_BEGIN_DECLS

enum _VIMOS_SPEC_EDGE_METHOD_ 
{
  VM_SP_EDGE_UNDEF = 0,
  VM_SP_EDGE_GRAD  = 1
};

typedef enum _VIMOS_SPEC_EDGE_METHOD_ VimosSpecEdgeMethod;


enum _VIMOS_SPEC_SAMPLE_OPTION_
{
  VM_SP_LIN_LAMBDA = 0,
  VM_SP_LOG_LAMBDA = 1
};

typedef enum _VIMOS_SPEC_SAMPLE_OPTION_ VimosSpecSampleOption;


VimosWindowTable *VmSpDetObj(VimosImage *, VimosExtractionTable *, int, int,
                             float, float, float, int, int, float, float);
VimosImage **VmSpEx2D(VimosImage **, VimosExtractionTable *,
		      VimosSpecSampleOption);
VimosImage **VmSpEx1D(VimosImage **, VimosWindowTable *,
		      VimosObjectTable *, int, int);
VimosImage *VmSpStack2D(VimosImage **, VimosWindowTable **,
                        VimosExtractionTable *, VimosIntArray *, int,
                        CombMethod, CombParameters *, VimosFloatArray *,
                        int, int, int);
VimosExtractionTable *VmSpExTab(VimosImage *, VimosTable *, VimosIfuTable *,
				VimosExtractionTable *);
int VmSpMatch(VimosImage **, int, VimosExtractionTable *, VimosTable **, int);

PIL_END_DECLS

#endif /* VM_MOSEXTRACTION_H */
